aboutsummaryrefslogtreecommitdiffstats
path: root/version-manifest/src/main/scripts/update-heat-image-versions.sh
diff options
context:
space:
mode:
Diffstat (limited to 'version-manifest/src/main/scripts/update-heat-image-versions.sh')
-rwxr-xr-xversion-manifest/src/main/scripts/update-heat-image-versions.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/version-manifest/src/main/scripts/update-heat-image-versions.sh b/version-manifest/src/main/scripts/update-heat-image-versions.sh
new file mode 100755
index 000000000..19415bb12
--- /dev/null
+++ b/version-manifest/src/main/scripts/update-heat-image-versions.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+if [ "$#" -ne 2 ]; then
+ echo This script updates HEAT docker versions to use versions in docker-manifest.csv
+ echo "$0 <docker-manifest.csv> <demo repo directory>"
+ exit 1
+fi
+
+# expected parameters
+MANIFEST=$(realpath $1)
+DEMO_DIR=$(realpath $2)
+
+if [ -z "$WORKSPACE" ]; then
+ export WORKSPACE=`git rev-parse --show-toplevel`
+fi
+
+cd $DEMO_DIR/heat/ONAP
+
+source <(./manifest-to-env.sh < $MANIFEST)
+envsubst < onap_openstack_template.env > onap_openstack.env